thaw 0.4.8

An easy to use leptos component library
Documentation
.thaw-dialog {
    z-index: 2000;
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    text-align: left;
}

.thaw-dialog-surface__backdrop {
    inset: 0px;
    background-color: rgba(0, 0, 0, 0.4);
    position: fixed;
}

.thaw-dialog-surface__backdrop.fade-in-transition-enter-active {
    transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);
}

.thaw-dialog-surface__backdrop.fade-in-transition-leave-active {
    transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);
}

.thaw-dialog-surface__backdrop.fade-in-transition-enter-from,
.thaw-dialog-surface__backdrop.fade-in-transition-leave-to {
    opacity: 0;
}

.thaw-dialog-surface__backdrop.fade-in-transition-leave-from,
.thaw-dialog-surface__backdrop.fade-in-transition-enter-to {
    opacity: 1;
}

.thaw-dialog-surface {
    inset: 0px;
    padding: 24px;
    margin: auto;
    overflow: unset;
    border: 1px solid var(--colorTransparentStroke);
    border-radius: var(--borderRadiusXLarge);
    display: block;
    user-select: unset;
    visibility: unset;
    position: fixed;
    height: fit-content;
    max-width: 600px;
    max-height: 100vh;
    box-sizing: border-box;
    background-color: var(--colorNeutralBackground1);
    color: var(--colorNeutralForeground1);
}

.thaw-dialog-surface.fade-in-scale-up-transition-leave-active {
    transition: opacity 0.25s cubic-bezier(0.4, 0, 1, 1),
        transform 0.25s cubic-bezier(0.4, 0, 1, 1);
}

.thaw-dialog-surface.fade-in-scale-up-transition-enter-active {
    transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1),
        transform 0.25s cubic-bezier(0, 0, 0.2, 1);
}

.thaw-dialog-surface.fade-in-scale-up-transition-enter-from,
.thaw-dialog-surface.fade-in-scale-up-transition-leave-to {
    opacity: 0;
    transform: scale(0.5);
}

.thaw-dialog-surface.fade-in-scale-up-transition-leave-from,
.thaw-dialog-surface.fade-in-scale-up-transition-enter-to {
    opacity: 1;
    transform: scale(1);
}

.thaw-dialog-body {
    overflow: unset;
    gap: 8px;
    display: grid;
    max-height: calc(-48px + 100vh);
    box-sizing: border-box;
    grid-template-rows: auto 1fr;
    grid-template-columns: 1fr 1fr auto;
}

.thaw-dialog-title {
    grid-area: 1 / 1 / 1 / 3;
    grid-column-end: 4;
    font-family: var(--fontFamilyBase);
    font-size: var(--fontSizeBase500);
    font-weight: var(--fontWeightSemibold);
    line-height: var(--lineHeightBase500);
    margin: 0px;
}

.thaw-dialog-content {
    padding: var(--strokeWidthThick);
    margin: calc(var(--strokeWidthThick) * -1);
    font-family: var(--fontFamilyBase);
    font-size: var(--fontSizeBase300);
    font-weight: var(--fontWeightRegular);
    line-height: var(--lineHeightBase300);
    overflow-y: auto;
    min-height: 32px;
    box-sizing: border-box;
    grid-area: 2 / 1 / 2 / 4;
}

.thaw-dialog-actions {
    grid-column-start: 2;
    justify-self: end;
    grid-column-end: 4;
    gap: 8px;
    height: fit-content;
    box-sizing: border-box;
    display: flex;
    grid-row: 3 / 3;
}